/* Responsive style sheet */

.visible-large {
	display: block;
}
.visible-small {
	display: none;
}
#secondary{
	position: relative;
	.sidebar-toggle{
		display: none;
		position: absolute;
		background: @darkcolor;
		color: #FFF;
		padding: 10px 18px;
		font-size: 18px;
		cursor: pointer;
		top: 0px;
		left: 15px;
		right: 15px;
		&:after{
			color: #FFF;
			content: '\f105';
			position: absolute;
			right: 20px;
			line-height: 38px;
			font-size: 16px;
			top: 0;
		}
	}
	&.opening{
		.sidebar-toggle{
			&:after{
				content: '\f107';
			}
		}
	}
}
@media screen and (max-width: 782px){
	body.admin-bar .sticky .header-container .top-search .search-container.popup-type.showon{
		top: 0 !important;
	}	
}
@media screen and ( max-width: 1386px ){
	.fullwidth.layout2,
	.header-container.layout2 .container-fluid{	padding: 0 50px;}
}
@media screen and ( max-width: 1199px ) {
	.nav-menus #mega_main_menu > .menu_holder .menu_inner > ul > li > a.item_link{ padding-left: 10px;}
	.top-banner .wpb_text_column h2{ font-size: 40px; padding-bottom: 30px; margin-bottom: 20px;}
	.top-banner .wpb_text_column a{ margin-top: 30px;}
	.fullwidth.layout2,
	.header-container.layout2 .container-fluid{	padding: 0 15px;}
	.right-feature .vc_column-inner,
	.left-feature .vc_column-inner{ margin-top: 30px !important;}
	.header-container.layout2 .topcart,
	.header-container.layout2 .header-top-setting{
		margin-left: 20px;
	}
	
}
@media screen and (max-width: 992px) {
	.header-container.layout3 .nav-menus{
		position: static;
	}
	.header-container .top-search .search-container.popup-type .search-content-popup{
		padding-bottom: 30px;
	}
	.box-timer .shop-products.products .product .product-wrapper{ padding: 0 1%;}
	.box-about p{ margin-bottom: 24px;}
	.woocommerce div.main-wrapper .woocommerce-tabs .panel #reviews{
		 #comments,#review_form_wrapper{
		 	width: 100%;
		 	padding: 0;
		 	border: 0;
		 	 #review_form #commentform input{
		 	 	max-width: 100%;
		 	 }
		 }	
	}
	.static-block-sale .wpb_content_element{
		padding-top: 50px;
	}
	.static-block-sale .wpb_content_element p:before{
		top: -50px;
	}
	.static-block-sale .wpb_content_element strong{
		top: -40px;
	}
	#secondary{
		clear: both;
		padding-top: 50px;
		margin-bottom: 20px;
		min-height: 30px;
		.sidebar-toggle{
			display: block;
		}
		 > *{
			display: none;
		}
	}
	.block-group{
		.column_container{
			width: 50%;
		}
	}
	.header-container.layout2{
		 .top-search{
		 	.dropdown-toggle{
		 		display: inline-block;
		 		margin-right: 15px;
		 	}
		 	.fa{
		 		font-size: 16px;
		 	}
		 	.widget_product_search{;
		 	}
		 }
	}
	.product-group .owl-theme .owl-nav{
		display: none;
	}
	.product-group .shop-products.products .product .product-wrapper .price-box del{
		float: left;
		margin-left: 0;
	}

	.footer{
		.footer-top{
			padding-top: 70px;
			padding-bottom: 40px;
			.col-sm-6{
				margin-bottom: 30px;
			}
			.col-sm-6:nth-child(3){
				clear: left;
			}
		}
		.footer-end{
			.newletter-form-wrapper{
				.wysija-submit{
					margin-left: 0;
				}
			}
		}
	}
	.right-feature .vc_column-inner,
	.left-feature .vc_column-inner{ margin-top: 0px !important;}
	.section-element .column_container .vc_column-inner .wpb_wrapper .feature_text_widget .toptext .feature_text{ margin-top: 20px;}
	.header-container.layout3.layout6 .nav-mobile .toggle-menu,
	.header-container.layout3.layout5 .nav-mobile .toggle-menu{
		color: #fff;
	}
}
@media screen and (max-width: 767px) {
	.home .header-container{ 
		position: static;
	}
	.shop-products.list-view{
		width: auto;
	}
	.shop-products.list-view .product .product-wrapper .list-col8 .listview{
		margin-top: 20px;
	}
	.header-container.layout3 .nav-menus{
		position: absolute;
		left: 0;
		bottom: 0;
	}
	.woocommerce-result-count{
		margin: 10px 20px 10px 0 !important;
	}
	.footer.layout6 .footer-top{
		padding-top: 60px;
	}
	.toolbar .woocommerce-ordering, .woocommerce-result-count{
		display: inline-block !important;
		float: none !important;
		vertical-align: middle;
	}
	.toolbar .view-mode{
		float: none;
	}
	.footer.layout2{
		.footer-bottom{
			.text-right{
				text-align: center;
				margin-top: 20px;
			}
		}
	}
	.header-container.layout3 .nav-menus,
	.header-container.layout2 .nav-menus{
		float: left !important;
		margin-left: 0;
	}
	.header-container.layout3 .nav-mobile .toggle-menu,
	.header-container.layout2 .nav-mobile .toggle-menu{
		padding: 18px 0;
	}
	.header-container{
		 .logo{
		 	text-align: center;
		 	display: block;
		 	float: none !important;
		 	height: auto;
		 	margin: 10px 0 20px 0;
		 	a{
		 		display: inline-block;
		 	}
		 }
	}
	.header-container.layout3.layout6 .nav-mobile .toggle-menu,
	.header-container.layout3.layout5 .nav-mobile .toggle-menu{
		color: #fff;
	}
	.banner-top{
		text-align: center;
	}
	.top-banner{
		.wpb_column{
			max-width: 370px;
			margin: 0 auto;
			margin-bottom: 30px;
			.vc_column-inner{
				border-right: 0 !important;
				border-bottom: 1px solid #eee;
			}
			&:last-child{
				.vc_column-inner{
					border-bottom: 0;
				}
			}
		}
	}
	.section-element .wpb_column .vc_column-inner .wpb_wrapper .wpb_single_image:nth-child(2){ right: 0;}
	.right-feature .vc_column-inner, .left-feature .vc_column-inner{
		max-width: 370px;
		margin: 0 auto;
	}
	.section-element .column_container .vc_column-inner .wpb_wrapper .feature_text_widget .toptext .feature_text{
		margin-top: 0;
		margin-bottom: 40px;
	}
	.footer .footer-bottom .widget-copyright{ text-align: center;}
	.vc_tta.vc_general .vc_tta-panel{
		margin-bottom: 10px !important;
		text-align: left;
	}
	.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading{
		margin-bottom: 20px !important;		
	}
	.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-title>a:hover,
	.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-title>a{
		color: @primarycolor !important;
	}
	.footer{
		.footer-bottom{
			text-align: center;
			.menu-footer-links-container{
				ul{
					text-align: center;
				}
			}
		}
		.footer-end{
			text-align: center;
			.text-right{
				text-align: center;
			}
		}
		.link-follow{
			text-align: center;
			margin-top: 20px;
		}
	}
	.footer .footer-top h3.widget-title{
		margin-top: 50px;
		margin-bottom: 30px;
	}
	.nav-menus{
		position: static;
	}
	.toolbar .woocommerce-ordering{
		clear: both;
		margin-top: 10px;
		margin-left: 0;
	}
	.header-container.layout3 .top-links,
	.header-container.layout3 .widget-top{ width: 100%; text-align: center;}
	.header-container.layout3 .top-bar .top-links > div{ float: none;}
	.box-timer .shop-products.products .product .product-wrapper{ padding: 0 15px;}
	.box-timer .shop-products.products .product .product-wrapper .list-col4,
	.box-timer .shop-products.products .product .product-wrapper .list-col8{
		width: 100%;
		display: block;
	}
}
@media (max-width: 767px) and (min-width: 479px){
	.shop-products.grid-view .item-col{
		width: 50%;
	}

	.shop-products.grid-view .item-col:nth-of-type(2n+1){
		clear: left;
	}
	.product_list_widget .item-product-widget:nth-of-type(2n+1){
		clear: left;
	}
	.topcart{ margin-left: 30px;}
	.header-container .top-search .widget_product_search{
		min-width: 300px;
	}
}
@media screen and (max-width: 683px) {
	.woocommerce .wishlist_table td.product-add-to-cart .add_to_cart_button,
	.woocommerce .wishlist_table td.product-add-to-cart .add_to_cart{
		font-size: 0;
		padding: 0;
		background: transparent;
		min-width: 20px;
		margin-left: 0 !important;
		&:after{
			content: "\f110";
			font-family: "Ionicons";
			font-size: 16px;
			color: @darkcolor;
		}	
	}
	.woocommerce-wishlist .woocommerce.wishlist_table td.product-add-to-cart{
		padding: 20px 5px;
	}
}
.page-404 article .button-group a{
	.buttonMixin();
}
@media screen and (max-width: 479px) {
	.nav-menus{
		margin-left: 0;
	}
	.comments-area .media-list .children{
		margin-left: 0;
		padding-left: 0;
	}
	.header-container .top-search .widget_product_search{
		right: -80%;
		transform: translateX(40%);
		-webkit-transform: translateX(40%);
		-ms-transform: translateX(40%);
		-o-transform: translateX(40%);
	}
	.page-404 article .button-group{
		margin-top: 30px;
		a{
			margin-bottom: 20px;
			margin-left: 0;
		}
	}
	.main-wrapper .site-content .woocommerce .cart_totals .wc-proceed-to-checkout a{
		width: 100%;
	}
	.header-container .top-search .search-container.popup-type .search-content-popup ul.items-list{
		padding: 20px 0;
	}
	.shop-products.list-view .product .product-wrapper .list-col8 .listview .ratings .star-rating,
	.shop-products.list-view .product .product-wrapper .list-col8 .listview .price-box{
		margin: 5px 0;
	}
	.header-container .top-search .widget_product_search{
		min-width: 250px;
	}
	.header-container.layout2 .top-search .widget_product_search{
		right: -35%;
	}
	.woocommerce-cart .top-search .widget_product_search,
	.woocommerce-checkout .top-search .widget_product_search{
		right: 30px;
	}
	.vc_separator.vc_separator_align_center h4,
	.single-product .related_products_widget .widget-title{
		font-size: 26px;
		font-weight: 500;
		padding: 0 10px !important;
	}
	.shop-products.list-view .product .product-wrapper .list-col8 .listview .actions,
	.shop-products.list-view .product .product-wrapper .list-col8 .listview .actions .add-to-links{
		margin-top: 5px;
	}
	.vc_separator .vc_sep_holder{
		min-width: 5% !important;
	}
	.footer .widget, .footer .widget_menu{
		padding-bottom: 20px;
	}
	.woocommerce-cart .woocommerce .cart .button, .woocommerce-cart .woocommerce .cart input.button,
	.woocommerce-cart .main-wrapper .site-content .woocommerce table.shop_table tbody tr td.actions .coupon .input-text{
		width: 100% !important;
	}
	.main-wrapper .site-content .woocommerce table.shop_table tbody tr td.actions .coupon .input-text{
		margin-bottom: 10px;
		margin-top: 10px;
	}
	.woocommerce .cart .button, .woocommerce .cart input.button{
		margin-bottom: 10px;
	}
	.topcart{ margin-left: 20px;}
	.header-container{
		&.second{
			.container-fluid{
				>div{
					width: 100%;
					.logo{
						text-align: center;
					}
				}
			}
		}
		&.first{
			.nav-mobile .toggle-menu{
				padding-left: 0;
			}
		}
		&.layout2{
			.nav-mobile .toggle-menu{
				padding-right: 15px;
			}
			.header-top-setting{
				padding-left: 10px;
			}
		}
	}
	.single-post .comments-area .info-wrapper{
		width: 100%;
		margin-right: 0;
	}
	.woocommerce div.main-wrapper .product-view div.single-product-info form.cart{
		margin-right: 0;
		overflow: auto;
	}
	.main-wrapper .site-content .woocommerce table.shop_table{
		thead tr th{
			text-transform: capitalize;
			font-size: 12px;
		}
		td{
			padding: 5px;
		}
		.product-subtotal{
			display: none;
		}
		tbody tr td.actions .coupon .button{
			float: left !important;
		}
	}
	.section-element .contact-7 .wpcf7 {
		.wpcf7-form p:nth-child(2),.wpcf7-form p:nth-child(3){
			max-width: 100%;
			margin-right: 0;
		}
	}
	.widget_wysija_cont .wysija-paragraph{
		width: 60%;
	}
	.product_list_widget .item-product-widget{
		width: 100%;
	}
	.quickview-wrapper .quick-modal{
		width: 97%;
		max-width: 97%;
		padding:  15px;
	}
	.quickview-wrapper #quickview-content .product-images{
		width: 100%;
	}
}
@media screen and (max-width: 380px) {
	.topcart{ margin-left: 20px;}
}
@media screen and (max-width: 768px) {
	.banner-middle .col-sm-6{ width: 100%;}
}
@media (max-width: 1440px) and (min-width: 767px){

	.contact-us,.contact-7{
		.vc_column-inner{
			min-height: 550px;
		}
	}
}
@media (max-width: 1920px) and (min-width: 1439px){

	.contact-us,.contact-7{
		.vc_column-inner{
			min-height: 470px;
		}
	}
}

/*Fix products-grid */
@media (min-width: 767px){
 .shop-products.sidebar .product.col-sm-6:nth-of-type(2n+1) {  clear: left;}
 .shop-products.sidebar .product.col-sm-3:nth-of-type(4n+1) {  clear: left;}
 .shop-products.sidebar .product.col-sm-4:nth-of-type(3n+1) {clear: left;} 
 .shop-products.sidebar .product.col-sm-2:nth-of-type(6n+1) {clear: left;} 
}

@media (min-width: 992px){
   
.shop-products.fullwidth .product.col-md-6:nth-child(2n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-4:nth-child(3n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-3:nth-child(4n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-2:nth-child(6n+1) {  clear: left;}
  
}

@media (max-width: 991px) and (min-width: 767px){
 .shop-products.fullwidth .product.col-sm-4:nth-child(3n+1) {  clear: left;}
   
}
/*Fix products-grid */
@media (min-width: 767px){
 .shop-products.sidebar .product.col-sm-6:nth-of-type(2n+1) {  clear: left;}
 .shop-products.sidebar .product.col-sm-3:nth-of-type(4n+1) {  clear: left;}
 .shop-products.sidebar .product.col-sm-4:nth-of-type(3n+1) {clear: left;} 
 .shop-products.sidebar .product.col-sm-2:nth-of-type(6n+1) {clear: left;}

 .product-category.category.first{ clear: left;}
}

@media (min-width: 992px){
   
.shop-products.fullwidth .product.col-md-6:nth-child(2n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-4:nth-child(3n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-3:nth-child(4n+1) {  clear: left;}
.shop-products.fullwidth .product.col-md-2:nth-child(6n+1) {  clear: left;}
  
}

@media (max-width: 991px) and (min-width: 767px){
 .shop-products.fullwidth .product.col-sm-4:nth-child(3n+1) {  clear: left;}
   
}


/*Fix products-grid  home page */

@media (min-width: 767px){
	.inner-content .grid-view  .product.col-sm-6:nth-of-type(2n+1) {  clear: left;}
	.inner-content .grid-view  .product.col-sm-3:nth-of-type(4n+1) {  clear: left;}
	.inner-content .grid-view .product.col-sm-4:nth-of-type(3n+1) {clear: left;} 
	.inner-content .grid-view  .product.col-sm-2:nth-of-type(6n+1) {clear: left;}

	.inner-content .grid-view  .product.col-sm-20{
		width:20% ;
	}
	.inner-content .grid-view  .product.col-sm-20:nth-of-type(5n+1) {clear: left;}
}
@media (max-width: 767px) and (min-width: 479px){
	.inner-content .grid-view  .product[class*="col-"]{
		width: 50%;
	}
	.inner-content .grid-view  .product[class*="col-"]:nth-of-type(2n+1){
		clear: left;
	}
}
@media (max-width:500px){
	.banner-middle .wpb_text_column{
		position: static;
		transform: translateY(0);
		-webkit-transform: translateY(0);
		-moz-transform: translateY(0);
		-o-transform: translateY(0);
		width: 100%;
		text-align: center;
	}
	.banner-middle.style2 .wpb_text_column{
		position: absolute;
		transform: translateY(-50%);
		-webkit-transform: translateY(-50%);
		-moz-transform: translateY(-50%);
		-o-transform: translateY(-50%);
		width: 50%;
		text-align: left;
	}
	blockquote{
		padding: 0;
	}
	.footer .footer-newsletter .footer_widget_newsletter .textwidget{
		padding: 0 15px;
	}
	.vc_separator.vc_separator_align_center h4, .single-product .related_products_widget .widget-title{
		font-size: 26px;
	}
	#popup_onload .popup-content-wrapper{
		padding: 40px;
		.not-again{
			position: static;
		}
	}
}
@media (max-width:479px){
	.inner-content .grid-view  .product[class*="col-"]{
		width: 100%;
	}
	.topcart .topcart_content{
		width: 300px;
		padding: 20px;
	}
	.shop-products.list-view .product .product-wrapper .list-col8 .listview .actions .add-to-links li .add_to_cart_inline a{
		min-width: 115px;
		padding: 13.5px 10px;
	}
	.page-banner .image-wrap{
		margin-bottom: 30px;
	}
	.page-banner .page-banner-content .entry-title{
		font-size: 26px;
	}
	#content .breadcrumbs{
		margin: 10px 0;
	}
}

@media screen and (max-width: 600px){
	header.has_admin .header-container{
		top: 0 !important;
	}
	#popup_onload .popup-content-wrapper{
		margin: 50px auto 0;
		width: 90%;
	}
}
.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button{
	border-radius: 0;
	font-weight: 500;
}